VERSION 5.00
Begin VB.Form frmCalculate 
   Caption         =   "Friction Lab - Friction Calculator"
   ClientHeight    =   4560
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6870
   Icon            =   "frmCalculate.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   ScaleHeight     =   4560
   ScaleWidth      =   6870
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame frameStatic 
      Caption         =   "Coefficient of Static Friction"
      Height          =   1695
      Left            =   1800
      TabIndex        =   8
      Top             =   120
      Width           =   3375
      Begin VB.TextBox txtStaticAngle 
         Alignment       =   1  'Right Justify
         Height          =   315
         Left            =   1320
         TabIndex        =   0
         ToolTipText     =   "Enter the measured ramp angle"
         Top             =   360
         Width           =   615
      End
      Begin VB.CommandButton btnStaticCalc 
         Caption         =   "Calculate!"
         Height          =   315
         Left            =   360
         TabIndex        =   1
         ToolTipText     =   "Recalculate the static coefficient of friction"
         Top             =   1200
         Width           =   975
      End
      Begin VB.Label lblStaticAngle 
         Alignment       =   2  'Center
         Caption         =   "Angle (degrees)"
         Height          =   495
         Left            =   360
         TabIndex        =   16
         Top             =   360
         Width           =   855
      End
      Begin VB.Label lblStaticCoeff 
         Caption         =   "a_static = 0.000"
         Height          =   315
         Left            =   1560
         TabIndex        =   15
         Top             =   1200
         Width           =   1575
      End
   End
   Begin VB.Frame frameKinetic 
      Caption         =   "Coefficient of Kinetic Friction"
      Height          =   2295
      Left            =   240
      TabIndex        =   9
      Top             =   2040
      Width           =   6375
      Begin VB.TextBox txtKineticAngle 
         Alignment       =   1  'Right Justify
         Height          =   315
         Left            =   360
         TabIndex        =   2
         ToolTipText     =   "Enter the measured ramp angle"
         Top             =   720
         Width           =   615
      End
      Begin VB.TextBox txtKineticLength 
         Alignment       =   1  'Right Justify
         Height          =   315
         Left            =   1440
         TabIndex        =   3
         ToolTipText     =   "Enter the measured block length"
         Top             =   720
         Width           =   1215
      End
      Begin VB.TextBox txtKineticTime 
         Alignment       =   1  'Right Justify
         Height          =   315
         Left            =   3240
         TabIndex        =   4
         ToolTipText     =   "Enter the time it takes for the block to pass through the photogate"
         Top             =   720
         Width           =   855
      End
      Begin VB.TextBox txtKineticGravity 
         Alignment       =   1  'Right Justify
         Height          =   315
         Left            =   4920
         TabIndex        =   5
         Text            =   "9.80665"
         ToolTipText     =   "Enter acceleration due to gravity"
         Top             =   720
         Width           =   735
      End
      Begin VB.CommandButton btnKineticCalc 
         Caption         =   "Calculate!"
         Height          =   315
         Left            =   1920
         TabIndex        =   7
         ToolTipText     =   "Recalculate the coefficient of kinetic friction"
         Top             =   1800
         Width           =   975
      End
      Begin VB.CommandButton btnKineticGravityDefault 
         Caption         =   "Default"
         Height          =   315
         Left            =   4920
         TabIndex        =   6
         ToolTipText     =   "Resets acceleration due to gravity on Earth"
         Top             =   1200
         Width           =   735
      End
      Begin VB.Label lblKineticAngle 
         Alignment       =   2  'Center
         Caption         =   "Angle (degrees)"
         Height          =   495
         Left            =   240
         TabIndex        =   14
         Top             =   240
         Width           =   855
      End
      Begin VB.Label lblKineticLength 
         Alignment       =   2  'Center
         Caption         =   "Length of block (cm)"
         Height          =   495
         Left            =   1440
         TabIndex        =   13
         Top             =   240
         Width           =   1215
      End
      Begin VB.Label lblKineticTime 
         Alignment       =   2  'Center
         Caption         =   "delta T (ms)"
         Height          =   495
         Left            =   3360
         TabIndex        =   12
         Top             =   240
         Width           =   615
      End
      Begin VB.Label lblKineticGravity 
         Alignment       =   2  'Center
         Caption         =   "Accel Due to Gravity (m/s^2)"
         Height          =   495
         Left            =   4440
         TabIndex        =   11
         Top             =   240
         Width           =   1695
      End
      Begin VB.Label lblKineticCoeff 
         Caption         =   "a_kinetic = 0.000"
         Height          =   315
         Left            =   3120
         TabIndex        =   10
         Top             =   1800
         Width           =   1575
      End
   End
End
Attribute VB_Name = "frmCalculate"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Elaine Cheong
'01 December 1999
'ENME414
'Team 2: Friction Apparatus

'Friction calculator window

Const PI = 3.14159265358979     'PI is not an internal constant in Visual Basic, so declare here.

Public Sub subStaticCalc()
    If (Not IsNumeric(txtStaticAngle.Text)) Or (Val(txtStaticAngle.Text) <= 0) Or (Val(txtStaticAngle.Text) >= 90) Then
        'If the angle is not a number > 0 or < 90, keep the focus and prompt user to fix value.
        MsgBox _
        "Please enter a numeric angle less than 90 and greater than 0 degrees.", vbExclamation, "Error in Angle"
        Call txtStaticAngle.SetFocus                       'return focus to textbox
    Else
        'If values are ok, update the coefficient of static friction.
        staticcoeff = Tan(Val(txtStaticAngle.Text) * PI / 180)
        lblStaticCoeff.Caption = Chr(181) + "_static = " + Format(staticcoeff, "###0.000")  ' Returns "0.nnn".
    End If
End Sub

Public Sub subKineticCalc()
    If (Not IsNumeric(txtKineticAngle.Text)) Or (Val(txtKineticAngle.Text) <= 0) Or (Val(txtKineticAngle.Text) >= 90) Then
        'If the angle is not a number > 0 or < 90, keep the focus and prompt user to fix value.
        MsgBox _
        "Please enter a numeric angle less than 90 and greater than 0 degrees.", vbExclamation, "Error in Angle"
        Call txtKineticAngle.SetFocus                       'return focus to textbox
    ElseIf (Not IsNumeric(txtKineticLength.Text)) Or (Val(txtKineticLength.Text) <= 0) Then
        'If the length is not a number > 0, keep the focus and prompt user to fix value.
        MsgBox _
        "Please enter a numeric length greater than 0 cm.", vbExclamation, "Error in Length of Block"
        Call txtKineticLength.SetFocus                      'return focus to textbox
    ElseIf (Not IsNumeric(txtKineticTime.Text)) Or (Val(txtKineticTime.Text) <= 0) Then
        'If the time is not a number > 0, keep the focus and prompt user to fix value.
        MsgBox _
        "Please enter a numeric time greater than 0 sec.", vbExclamation, "Error in delta T"
        Call txtKineticTime.SetFocus                        'return focus to textbox
    ElseIf (Not IsNumeric(txtKineticGravity.Text)) Or (Val(txtKineticGravity.Text) <= 0) Then
        'If the accel of gravity is not a number > 0, keep the focus and prompt user to fix value.
        MsgBox _
        "Please enter a numeric acceleration greater than 0 m/s^2.", vbExclamation, "Error in Acceleration Due to Gravity"
        Call txtKineticGravity.SetFocus                     'return focus to textbox
    Else
        'If values are ok, update the coefficient of kinetic friction.
        theta = Val(txtKineticAngle.Text) * PI / 180        'put in radians
        d = Val(txtKineticLength.Text) / 100                'put in meters
        deltat = Val(txtKineticTime.Text) / 1000            'get change in time in sec
        g = Val(txtKineticGravity.Text)                     'get accel of gravity
        
        kineticcoeff = Tan(theta) - ((d / deltat) ^ 2 / (2 * g * d * Cos(theta)))
        lblKineticCoeff.Caption = Chr(181) + "_kinetic = " + Format(kineticcoeff, "###0.000")  'Use "0.nnn" format.
    End If
End Sub

Private Sub btnKineticCalc_Click()
    'Attempt to update the coefficient of kinetic friction.
    Call subKineticCalc
End Sub

Private Sub btnKineticGravityDefault_Click()
    'For default, use acceleration of gravity on Earth (m/s^2).
    txtKineticGravity.Text = 9.80665
    Call subKineticCalc
End Sub

Private Sub btnStaticCalc_Click()
    'Attempt to update the coefficient of static friction.
    Call subStaticCalc
End Sub

Private Sub Form_Load()
    lblStaticCoeff.Caption = Chr(181) + "_static = "        'displays "mu_static = "
    lblKineticCoeff.Caption = Chr(181) + "_kinetic = "      'displays "mu_kinetic = "
End Sub

Private Sub txtKineticAngle_KeyPress(KeyAscii As Integer)
    If KeyAscii = Asc(vbCr) Then        'If user enters a carriage return
        Call btnKineticCalc.SetFocus    'change focus to the button
        Call btnKineticCalc_Click       'display new value
    End If
End Sub

Private Sub txtKineticGravity_KeyPress(KeyAscii As Integer)
    If KeyAscii = Asc(vbCr) Then        'If user enters a carriage return
        Call btnKineticCalc.SetFocus    'change focus to the button
        Call btnKineticCalc_Click       'display new value
    End If
End Sub

Private Sub txtKineticLength_KeyPress(KeyAscii As Integer)
    If KeyAscii = Asc(vbCr) Then        'If user enters a carriage return
        Call btnKineticCalc.SetFocus    'change focus to the button
        Call btnKineticCalc_Click       'display new value
    End If
End Sub

Private Sub txtKineticTime_KeyPress(KeyAscii As Integer)
    If KeyAscii = Asc(vbCr) Then        'If user enters a carriage return
        Call btnKineticCalc.SetFocus    'change focus to the button
        Call btnKineticCalc_Click       'display new value
    End If
End Sub

Private Sub txtStaticAngle_KeyPress(KeyAscii As Integer)
    If KeyAscii = Asc(vbCr) Then        'If user enters a carriage return
        Call btnStaticCalc.SetFocus     'change focus to the button
        Call btnStaticCalc_Click        'display new value
    End If
End Sub
